import CipherEnum from '../enum/CipherEnum.js';
import CurveNameEnum from '../enum/CurveNameEnum.js';
import PolicyTypeEnum from '../enum/PolicyTypeEnum.js';
/**
 * Default encrypt param builders
 *
 * @link https://github.com/virtru/tdf3-cpp/blob/develop/tdf3-src/lib/src/nanotdf_builder_impl.h
 */
declare const DefaultParams: {
    ecdsaBinding: boolean;
    ephemeralCurveName: CurveNameEnum;
    magicNumberVersion: Uint8Array<ArrayBufferLike>;
    offlineMode: boolean;
    policyType: PolicyTypeEnum;
    signature: boolean;
    signatureCurveName: CurveNameEnum;
    symmetricCipher: CipherEnum;
    defaultECAlgorithm: string;
};
export default DefaultParams;
//# sourceMappingURL=DefaultParams.d.ts.map