import { type AttributeObject } from '../../tdf3/src/models/attribute.js';
import { type Policy } from '../../tdf3/src/models/policy.js';
export declare class PolicyBuilder {
    static CURRENT_VERSION: string;
    private uuidStr;
    private dataAttributesList;
    private dissemList;
    /**
     * Adds a group of entities, to the Policy's dissem list
     *
     * @param entities The entities will be added to the policy and
     * they will have access to the TDF
     */
    addEntities(entities: string[]): void;
    /**
     *
     * Adds an Attribute object to the policy
     *
     * @param attribute will be added to the policy
     */
    addAttribute(attribute: AttributeObject): void;
    toPolicy(): Policy;
    /**
     * Returns the JSON string of Policy object
     *
     * @return {string} [The constructed Policy object as JSON string]
     */
    toJSON(): string;
}
//# sourceMappingURL=Policy.d.ts.map